View Issue Details

IDProjectCategoryView StatusLast Update
0001192CaseTalk ModelerDiagramspublic2017-03-22 21:22
Reporterrobertgeurts_dnbAssigned Towobben 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version8.19Fixed in Version8.19 
Summary0001192: An expression file is part of the wrong repository.
DescriptionWhen generating an expression file (with repository B as active), the (open/active) diagram from an other repository (A) can be selected. The resulting expression file is part of repository B, which we find odd since the expressions are from A. Furthermore the name of the expression file is referes to repository B.

One could argue this is an feature to export/import expressions for A to B. To us it is confusing. We would find it logic an expression file of repository X only contains expressions part of repository X.
Steps To ReproduceCreate repository A.
Add fact type f_a to repository A.
Add diagram d_a to repository A and add fact type f_a to d_a.
Create repository B.
Add fact type f_b to repository B.
Add diagram d_b to repository B and add fact type f_b to d_b.
Set diagram d_a active.
Set repository B active.
Generate expression file from repository B and use diagram d_a as selection.
The resulting expression file is added to respository B, the name is repository B but the fact expressions are from Repository A.
TagsNo tags attached.
CaseTalk Edition

Relationships

related to 0001193 closedwobben Menu option to generate expression file should be part of the Repository-menu, not the Project-menu. 

Activities

robertgeurts_dnb

robertgeurts_dnb

2017-02-08 10:22

reporter  

wobben

wobben

2017-03-06 12:36

administrator   ~0000737

Only diagrams are listed which remain under the active repository.
wobben

wobben

2017-03-22 21:22

administrator   ~0000778

..
- Set diagram d_a active.
- Set repository B active.
- Generate expression file from repository B and use diagram d_a as selection.

The last instruction is no longer possible. Only diagrams under repository B can now be selected.

Issue History

Date Modified Username Field Change
2017-02-08 10:22 robertgeurts_dnb New Issue
2017-02-08 10:22 robertgeurts_dnb File Added: expression file in wrong repository.PNG
2017-02-08 10:22 robertgeurts_dnb File Added: expression file in wrong repository with wrong name.PNG
2017-03-05 16:54 wobben Relationship added related to 0001193
2017-03-05 16:55 wobben Assigned To => wobben
2017-03-05 16:55 wobben Status new => assigned
2017-03-05 16:55 wobben Project DNB => CaseTalk Modeler
2017-03-05 16:55 wobben Category General => Diagrams
2017-03-05 16:55 wobben Target Version => 8.19
2017-03-05 16:55 wobben Description Updated View Revisions
2017-03-05 16:55 wobben Steps to Reproduce Updated View Revisions
2017-03-06 12:36 wobben Status assigned => resolved
2017-03-06 12:36 wobben Resolution open => fixed
2017-03-06 12:36 wobben Fixed in Version => 8.19
2017-03-06 12:36 wobben Note Added: 0000737
2017-03-22 20:00 robertgeurts_dnb Status resolved => feedback
2017-03-22 20:00 robertgeurts_dnb Resolution fixed => reopened
2017-03-22 21:22 wobben Status feedback => resolved
2017-03-22 21:22 wobben Resolution reopened => fixed
2017-03-22 21:22 wobben Note Added: 0000778